// IpcMsg.cpp: implementation of the IpcMsg class.
//
//////////////////////////////////////////////////////////////////////

#include "include.h"
#include "IpcMsg.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

//DEL IpcMsg::IpcMsg()
//DEL {
//DEL 
//DEL }

//DEL IpcMsg::~IpcMsg()
//DEL {
//DEL 
//DEL }

char IpcMsg::ipc_name[IPC_NAME_LEN]={0};
IPC_REQ IpcMsg::ipc_req=
{
	ipc_name,
	ipc_name,
	NULL
};

void IpcMsg::Send(int submsg)
{
	LockSched();
	GBS_SendMessage(MMI_CEPID,MSG_IPC,submsg,&ipc_req);
	UnlockSched();
}

void IpcMsg::InitIpcName()
{
	TTime time;
	TDate date;
	GetDateTime(&date, &time);
	sprintf(ipc_name, "TmrSMS%04d%02d%02d%02d%02d%02d%08d",
		date.year,
		date.month,
		date.day,
		time.hour,
		time.min,
		time.sec,
		time.millisec
		);
}
