// ConfigLoader.cpp: implementation of the ConfigLoader class.
//
//////////////////////////////////////////////////////////////////////

#include "include.h"
#include "ConfigLoader.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

//DEL ConfigLoader::ConfigLoader()
//DEL {
//DEL 
//DEL }

//DEL ConfigLoader::~ConfigLoader()
//DEL {
//DEL 
//DEL }

const char *ConfigLoader::successed_config_filename="";
void ConfigLoader::Init()
{
	if (Load("4:\\ZBin\\etc\\TimerSMS.bcfg")<0)
	{
		Load("0:\\ZBin\\etc\\TimerSMS.bcfg");
	}
}

#pragma segment="CONFIG_C"
int ConfigLoader::Load(const char *fname)
{
	int f;
	unsigned int ul;
	char *buf;
	int result=0;
	void *cfg;
	unsigned int rlen, end;

	cfg=(char *)__segment_begin("CONFIG_C");

	unsigned int len=(char *)__segment_end("CONFIG_C")-(char *)__segment_begin("CONFIG_C");

	if (!(buf=(char *)malloc(len))) return -1;
	if ((f=fopen(fname,A_ReadOnly+A_BIN,P_READ,&ul))!=-1)
	{
		rlen=fread(f,buf,len,&ul);
		end=lseek(f,0,S_END,&ul,&ul);
		fclose(f,&ul);
		if (rlen!=end || rlen!=len)
			goto L_SAVENEWCFG;
		memcpy(cfg,buf,len);
	}
	else
	{
	L_SAVENEWCFG:
		if ((f=fopen(fname,A_ReadWrite+A_Create+A_Truncate,P_READ+P_WRITE,&ul))!=-1)
		{
			if (fwrite(f,cfg,len,&ul)!=len) result=-1;
			fclose(f,&ul);
		}
		else
			result=-1;
	}
	mfree(buf);
	if (result>=0)
		successed_config_filename=fname;
	return(result);
}
