// DaemonCSM.h: interface for the DaemonCSM class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DAEMONCSM_H__9D566048_4E9C_4021_A6B0_887BA20445AE__INCLUDED_)
#define AFX_DAEMONCSM_H__9D566048_4E9C_4021_A6B0_887BA20445AE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define CSM_NAME_LEN 64

class DaemonCSM  
{
	typedef struct// _DAEMON_CSM_DESC
	{
		CSM_DESC csm_desc;
		WSHDR csm_name;
	}DAEMON_CSM_DESC;
	typedef struct// _DAEMON_CSM
	{
		CSM_RAM csm_ram;
		DaemonCSM *daemon;
	}DAEMON_CSM;
public:
	void UpdateCSMname();
	int Create();
	DaemonCSM();
	~DaemonCSM();

private:
	static void SendSMS(const char *number, WSHDR *text);
	static void SendTmrProc();
	DAEMON_CSM_DESC daemon_csm_desc;
	WSHDR *csm_name;
	GBSTMR send_tmr;
	char number[NUMBER_LEN];
	WSHDR *ws_text;
	unsigned short ws_text_body[TEXT_MSG_LEN+1];
	WSHDR _ws_text;
	unsigned short csm_name_body[CSM_NAME_LEN+1];
	static int minus11;
	static CSM_DESC csm_desc;
	static int OnMessage(DAEMON_CSM *daemon_csm, GBS_MSG *gbs_msg);
	static void OnClose(DAEMON_CSM *daemon_csm);
	static void OnCreate(DAEMON_CSM *daemon_csm);
};

#endif // !defined(AFX_DAEMONCSM_H__9D566048_4E9C_4021_A6B0_887BA20445AE__INCLUDED_)
